
class Client(object):

    def __init__(self, client_id: int = None, name: str = None,
            address: str = None, city: str = None, state: str = None,
            postal_code: str = None, phone: str = None,
            email: str = None, pets: str = None):
        self.id =  client_id
        self.name = name
        self.address = address
        self.city = city
        self.state = state
        self.postal_code = postal_code
        self.phone = phone
        self.email = email
        self.pets = pets

    def __str__(self):
        return 'Client({}, {}, {}, {}, {}, {}, {}, {}, {})'.format(
                    self.id,
                    self.name,
                    self.address,
                    self.city,
                    self.state,
                    self.postal_code,
                    self.phone,
                    self.email,
                    self.pets
                )

    def get_name(self):
        return self.name

    def get_id(self):
        return self.id

    def get_address(self):
        return self.address

    def get_city(self):
        return self.city

    def get_state(self):
        return self.state

    def get_postal_code(self):
        return self.postal_code

    def get_phone(self):
        return self.postal_code

    def get_email(self):
        return self.email

